<template>
  <button class="btn" @click="onClickHandler">{{buttonContent}}</button>
</template>

<script>
export default {
  name: 'button-component',
  props: {
    buttonContent: {
      type: String,
      required: true
    },
    todo: {
      type: String,
      required: false
    }
  },
  methods: {
    onClickHandler (event) {
      this.$emit('click', event)
    }
  }
}
</script>

<style scoped>
.btn {
  padding: 10px 30px;
  border: none;
  cursor: pointer;
  background-color: rgba(210, 135, 0, 0.8);
  color: #fff;
  font-weight: 700;
  font-size: 20px;
}

.btn::selection {
  background-color: rgba(210, 135, 0, 0.8);
  color: #fff;
}

.btn:hover {
  background-color: rgba(210, 135, 0, 1);
  transition: 0.2s;
}
</style>
